Skip to main content
GET
/
customers
/
{id}
/
orders
Retrieve Customer Orders
curl --request GET \
  --url https://api.blink.store/v1/customers/{id}/orders \
  --header 'x-store-id: <api-key>'
import requests

url = "https://api.blink.store/v1/customers/{id}/orders"

headers = {"x-store-id": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-store-id': '<api-key>'}};

fetch('https://api.blink.store/v1/customers/{id}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "meta": {
    "total": 123,
    "page": 123,
    "limit": 123,
    "has_more": true
  },
  "data": [
    {
      "id": "<string>",
      "status": "<string>",
      "amount": 123,
      "net_amount": 123,
      "tax_amount": 123,
      "product_id": "<string>",
      "variant_id": "<string>",
      "customer_country": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "product": {
        "id": "<string>",
        "name": "<string>"
      }
    }
  ]
}

Authorizations

x-store-id
string
header
required

Path Parameters

id
string
required

ID of the customer.

Query Parameters

limit
integer

Number of items per page.

page
integer

Page number to retrieve.

Response

Customer orders retrieved successfully.

meta
object
data
object[]